Wallbox HEMS Sessions
List standalone HEMS steering sessions for a wallbox
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
wallboxes
/
{wallbox_id}
/
hems-sessions
List standalone HEMS steering sessions for a wallbox
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"items": [
{
"id": 123,
"ocpp_transaction_id": 123,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"final_hems_state": "<string>",
"energy_from_solar_kwh": 123,
"savings_eur": 123,
"has_complete_price_coverage": true,
"commands_sent": 123,
"commands_applied": 123,
"commands_ineffective": 123,
"commands_rejected": 123
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID
The user ID
The wallbox ID
Query Parameters
Inclusive lower bound day (UTC, YYYY-MM-DD)
Inclusive upper bound day (UTC, YYYY-MM-DD)
Page size (max 200)
Required range:
1 <= x <= 200Offset for pagination
Required range:
x >= 0Was this page helpful?
⌘I
List standalone HEMS steering sessions for a wallbox
